TechDraw ComplexSection: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Marked this version for translation)
Line 2: Line 2:
<translate>
<translate>


<!--T:1-->
{{Docnav
{{Docnav
|[[TechDraw_SectionView|SectionView]]
|[[TechDraw_SectionView|SectionView]]
Line 11: Line 12:
}}
}}


<!--T:2-->
{{GuiCommand
{{GuiCommand
|Name=TechDraw ComplexSection
|Name=TechDraw ComplexSection
Line 19: Line 21:
}}
}}


== Description ==
== Description == <!--T:3-->


<!--T:4-->
The [[Image:TechDraw_ComplexSection.svg|24px]] '''TechDraw ComplexSection''' tool inserts a cross-section view based on an existing part view and a profile.
The [[Image:TechDraw_ComplexSection.svg|24px]] '''TechDraw ComplexSection''' tool inserts a cross-section view based on an existing part view and a profile.


Line 26: Line 29:
[[Image:TechDraw_QuarterSection_example.png|250px]]
[[Image:TechDraw_QuarterSection_example.png|250px]]
<translate>
<translate>
<!--T:5-->
{{Caption|A quarter section view created with the Complex Section tool}}
{{Caption|A quarter section view created with the Complex Section tool}}


Line 31: Line 35:
[[Image:TechDraw_AlignedSection_example.png|250px]]
[[Image:TechDraw_AlignedSection_example.png|250px]]
<translate>
<translate>
<!--T:6-->
{{Caption|An aligned section view created with the Complex Section tool}}
{{Caption|An aligned section view created with the Complex Section tool}}


Line 36: Line 41:
[[Image:TechDraw_OffsetSection_example.png|250px]]
[[Image:TechDraw_OffsetSection_example.png|250px]]
<translate>
<translate>
<!--T:7-->
{{Caption|An offset section view created with the Complex Section tool}}
{{Caption|An offset section view created with the Complex Section tool}}


== Usage ==
== Usage == <!--T:8-->


<!--T:9-->
# Select a part view and a profile object in the [[3D_view|3D view]] or [[Tree_view|Tree view]]. Profiles are typically Sketches, but any object whose shape can be made into a wire will work.
# Select a part view and a profile object in the [[3D_view|3D view]] or [[Tree_view|Tree view]]. Profiles are typically Sketches, but any object whose shape can be made into a wire will work.
# There are several ways to invoke the tool:
# There are several ways to invoke the tool:
Line 51: Line 58:
<translate>
<translate>


== Properties ComplexSection ==
== Properties ComplexSection == <!--T:10-->


<!--T:11-->
See also [[TechDraw_SectionView#Properties|TechDraw SectionView]].
See also [[TechDraw_SectionView#Properties|TechDraw SectionView]].


=== Data ===
=== Data === <!--T:12-->


<!--T:13-->
{{TitleProperty|Cutting Tool}}
{{TitleProperty|Cutting Tool}}


<!--T:14-->
* {{PropertyData|Cutting Tool Wire Object}}: The document object whose shape will be used to generate the cutting profile.
* {{PropertyData|Cutting Tool Wire Object}}: The document object whose shape will be used to generate the cutting profile.
* {{PropertyData|Projection Strategy}}: Controls how the cut is performed and how the result is projected on the page:
* {{PropertyData|Projection Strategy}}: Controls how the cut is performed and how the result is projected on the page:
Line 65: Line 75:
** {{Value|NoParallel}}: As Aligned, but profile segments which are parallel to the view direction are skipped.
** {{Value|NoParallel}}: As Aligned, but profile segments which are parallel to the view direction are skipped.


== Notes ==
== Notes == <!--T:15-->


<!--T:16-->
See [[TechDraw_SectionView#Notes|TechDraw SectionView]]
See [[TechDraw_SectionView#Notes|TechDraw SectionView]]


== Scripting ==
== Scripting == <!--T:17-->


<!--T:18-->
{{Emphasis|See also:}} [[TechDraw_API|TechDraw API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[TechDraw_API|TechDraw API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:19-->
The ComplexSection tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:
The ComplexSection tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:


Line 97: Line 110:




<!--T:20-->
{{Docnav
{{Docnav
|[[TechDraw_SectionView|SectionView]]
|[[TechDraw_SectionView|SectionView]]

Revision as of 18:15, 9 November 2022

Other languages:

TechDraw ComplexSection

Menu location
TechDraw → Insert Complex Section
Workbenches
TechDraw
Default shortcut
None
Introduced in version
1.0
See also
TechDraw Section, TechDraw View, TechDraw Projection Group

Description

The TechDraw ComplexSection tool inserts a cross-section view based on an existing part view and a profile.

A quarter section view created with the Complex Section tool

An aligned section view created with the Complex Section tool

An offset section view created with the Complex Section tool

Usage

  1. Select a part view and a profile object in the 3D view or Tree view. Profiles are typically Sketches, but any object whose shape can be made into a wire will work.
  2. There are several ways to invoke the tool:
  3. A task panel will open which will help calculate the various properties. Reasonable starting points for the view Direction are calculated, but these can be changed.

Properties ComplexSection

See also TechDraw SectionView.

Data

Cutting Tool

  • DataCutting Tool Wire Object: The document object whose shape will be used to generate the cutting profile.
  • DataProjection Strategy: Controls how the cut is performed and how the result is projected on the page:
    • Offset: Performs a simple cut of the Source shape and projects the result.
    • Aligned: Cuts the Source shape using a tool created from each segment (edge) of the cutting profile. The results of each cut are projected in a vertical or horizontal array, depending on the orientation of the cutting profile.
    • NoParallel: As Aligned, but profile segments which are parallel to the view direction are skipped.

Notes

See TechDraw SectionView

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The ComplexSection tool can be used in macros and from the Python console by using the following functions:

doc = FreeCAD.ActiveDocument
box = doc.Box
profile = doc.Sketch
page = doc.Page

view = doc.addObject("TechDraw::DrawViewPart", "View")
page.addView(view)
view.Source = box
view.Direction = (0.0, 0.0, 1.0)

section = doc.addObject("TechDraw::DrawComplexSection", "ComplexSection")
page.addView(section)
section.BaseView = view
section.CuttingToolWireObject = profile
section.Direction = (0.0, 1.0, 0.0)
section.SectionNormal = (-1.0, 0.0, 0.0)